package com.example.moulaye.quizapp;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import java.util.ArrayList;
import java.util.List;


public class QuizDbHelper extends SQLiteOpenHelper {
    private static final String DATABASE_NAME = "MyQuiz.db";
    private static final int DATABASE_VERSION = 20;
    private SQLiteDatabase db;




    public QuizDbHelper(Context context) {

        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }





    @Override
    public void onCreate(SQLiteDatabase db) {
        this.db = db;

        final String SQL_CREATE_QUESTIONS_TABLE = ("CREATE TABLE 'quiz_questions' ('ID'  INTEGER PRIMARY KEY AUTOINCREMENT, 'question' TEXT, " +
                "'option1' TEXT, 'option2' TEXT, 'option3' TEXT, 'answer_nr' INTEGER)");


        db.execSQL(SQL_CREATE_QUESTIONS_TABLE);


        fillQuestionsTable();

    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS 'quiz_questions'");


        onCreate(db);
    }

    private void fillQuestionsTable() {
        Question q1 = new Question("C'est quoi la capitale du Belgique ?", "Paris", " Londres", "\n" +
                " Bruxelles", 3);
        addQuestion(q1);
        Question q2 = new Question("c'est quoi la monnaie utilisée en Espagne ?", "Euro", "Dollar", "Bitcoin", 1);
        addQuestion(q2);
        Question q3 = new Question("Quels sont les numéros d’urgence en France ?", "117", "19", "15", 3);
        addQuestion(q3);
        Question q4 = new Question("Où se trouve la Chine ?", " Asie", "Afrique", "Europe", 1);
        addQuestion(q4);
        Question q5 = new Question("Où se trouve la Mauritanie?", " Asie", "Afrique", "Europe", 2);
        addQuestion(q5);

    }


    private void addQuestion(Question question) {
        ContentValues cv = new ContentValues();
        cv.put("question", question.getQuestion());
        cv.put("option1", question.getOption1());
        cv.put("option2", question.getOption2());
        cv.put("option3", question.getOption3());
        cv.put("answer_nr", question.getAnswerNr());
        db.insert("quiz_questions", null, cv);


    }

    public List<Question> getAllQuestions() {
        List<Question> questionList = new ArrayList<>();
        db = getReadableDatabase();
        Cursor c = db.rawQuery("SELECT * FROM quiz_questions", null);
     //   Cursor c1 = db.rawQuery("SELECT * FROM quiz_table", null);

        if (c.moveToFirst()) {
            do {
                Question question = new Question();
                question.setQuestion(c.getString(c.getColumnIndex("question")));
                question.setOption1(c.getString(c.getColumnIndex("option1")));
                question.setOption2(c.getString(c.getColumnIndex("option2")));
                question.setOption3(c.getString(c.getColumnIndex("option3")));
                question.setAnswerNr(c.getInt(c.getColumnIndex("answer_nr")));
                questionList.add(question);
                System.out.println("quetion: "+c.getColumnIndex("question")+"option1: "+ c.getColumnIndex("option1"));
               // System.out.println("quetion: "+c.getColumnIndex("pays")+"option1: "+ c.getColumnIndex("monnaie"));
            } while (c.moveToNext());
        }

        c.close();
        return questionList;
    }
}
